Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.authenticate
Class CredentialsToken

    java.lang.Object
      org.apache.slide.authenticate.CredentialsToken

public final class CredentialsToken
extends java.lang.Object

Credentials token class.

Constructor Summary
`CredentialsToken(java.security.Principal principal)` Constructor.
`CredentialsToken(java.lang.String credentials)` Constructor.

Method Summary
`java.security.Principal` | `getPrincipal()` Returns the current principal
`java.lang.String` | `getPrivateCredentials()` Returns the private credentials.
`java.lang.String` | `getPublicCredentials()` Returns the public creddentials.
`boolean` | `isTrusted()` Is this credentials token to be trusted ?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CredentialsToken

    public CredentialsToken(java.lang.String credentials)

  Constructor.

Parameters:
  `credentials` - Credentials stored in this token

### CredentialsToken

    public CredentialsToken(java.security.Principal principal)

  Constructor.

Parameters:
  `principal` - Principal stored in this token

Method Detail

### isTrusted

    public boolean isTrusted()

  Is this credentials token to be trusted ?

  Returns:
    boolean

### getPrivateCredentials

    public java.lang.String getPrivateCredentials()

  Returns the private credentials.

  Returns:
    String

### getPrincipal

    public java.security.Principal getPrincipal()

  Returns the current principal

  Returns:
    java.security.Principal

### getPublicCredentials

    public java.lang.String getPublicCredentials()

  Returns the public creddentials.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD